/* /////////////////////// FORMULAIRE DE CONTACT /////////////////////// */
/* /////////////////////// FORMULAIRE DE CONTACT /////////////////////// */
/* /////////////////////// FORMULAIRE DE CONTACT /////////////////////// */

[role="form"] { margin: 0 0; }

form input, form textarea, select {
	display: block;
	padding: 8px 24px 24px 8px;
	margin: 6px 0px;
	border: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
}

textarea[name="message"] {
	color: rgba(0,0,0,1);
	font-family: 'SansRegular', sans-serif;
	width: calc( 100% - (2*16px) );
	height: calc( 100% - (2*20px) );
	opacity: 1;
	resize: vertical;
	min-height: 50px;
	transition-duration: 0.5s;
	font-size: 12px;
	line-height: 20px;
	background-color: var(--color-white);
	color: var(--color-gris-moyen);
	box-shadow: inset 0 0 0 2px var(--color-gris-moyen);
}

input[name="prenom"],
input[name="nom"],
input[name="email"],
input[name="telephone"],
select {
	display: inline-block;
	width: calc( 50% - (2*19px) );
	margin-bottom: 6px;
	font-size: 12px;
	font-family: 'SansRegular', sans-serif;
	background-color: var(--color-white);
	color: var(--color-gris-moyen);
	box-shadow: inset 0 0 0 2px var(--color-gris-moyen);
	border-radius: 0px;
}

input[name="numero"] {
	display: inline-block;
	width: calc( 100% - (2*16px) );
	margin-bottom: 6px;
	font-size: 12px;
	font-family: 'SansRegular', sans-serif;
	background-color: var(--color-white);
	color: var(--color-gris-moyen);
	box-shadow: inset 0 0 0 2px var(--color-gris-moyen);
	border-radius: 0px;
}

label#trancheHoraire {
	font-size: 12px;
	font-family: 'SansRegular', sans-serif;
	text-transform: uppercase;
	letter-spacing: 2px;
}

select { width: 100%; }

@media screen and (max-width: 1000px) {
  input[name="prenom"],
	input[name="nom"],
	input[name="email"],
	input[name="telephone"] {
    width: calc( 100% - (2*16px) );
  }
  select { width: calc( 100% - 0px ); }
}

input[name="nom"],input[name="email"] { margin-right: 8px; }

input[type="submit"] {
	width: calc(100% - 0px);
	color: var(--color-corpo-projet);
	font-size: 12px;
	text-transform: uppercase;
	letter-spacing: 4px;
	font-family: 'SansRegular', sans-serif;
	transition-duration: 0.5s;
	cursor: pointer;
	margin-top: 10px;
	padding: 8px 24px 24px 8px;
	letter-spacing: 4px;
	background-color: white;
	text-align: left;
	box-shadow: inset 0 0 0 2px var(--color-corpo-projet);
}

input[type="submit"]:hover { background-color: var(--color-selecteur-dispo); }
input[type="submit"]:checked { opacity: 0.6; }

#formulaire-contact-problemes {
	padding: 20px 0;
	margin: 10px 0;
	background-color: var(--color-gris-clair);
}

#formulaire-contact-envoi {
	padding: 20px 0;
	margin: 10px 0;
	background-color: var(--color-selecteur-dispo);
}

#formulaire-contact-coordonnees {
	padding: 20px 0;
	margin: 10px 0;
	background-color: var(--color-gris-moyen);
}

#formulaire-contact-problemes p, #formulaire-contact-envoi p, #formulaire-contact-coordonnees p {
	display: block;
	font-family: 'SansRegular', sans-serif;
	text-transform: uppercase;
	font-size: 14px;
	line-height: 20px;
	text-align: center;
	color: var(--color-white);
	margin: 0;
}

/* COMPATIBILITÉ DU PLACEHOLDER */

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: var(--color-gris-moyen);
  opacity: 1; /* Firefox */
	text-transform: uppercase;
	letter-spacing: 0px;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: var(--color-gris-moyen);
	text-transform: uppercase;
	letter-spacing: 0px;
}

::-ms-input-placeholder { /* Microsoft Edge */
  color: var(--color-gris-moyen);
	text-transform: uppercase;
	letter-spacing: 0px;
}
